For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetSmartQueueRealtimeMetrics
        • POSTGetSmartQueueDayHistory
        • POSTRequestSmartQueueHistory
        • POSTGetSQState
        • POSTSQ_SetAgentCustomStatusMapping
        • POSTSQ_GetAgentCustomStatusMapping
        • POSTSQ_DeleteAgentCustomStatusMapping
        • POSTSQ_AddQueue
        • POSTSQ_SetQueueInfo
        • POSTSQ_DelQueue
        • POSTSQ_GetQueues
        • POSTSQ_AddSkill
        • POSTSQ_DelSkill
        • POSTSQ_SetSkillInfo
        • POSTSQ_BindSkill
        • POSTSQ_UnbindSkill
        • POSTSQ_GetSkills
        • POSTSQ_BindAgent
        • POSTSQ_UnbindAgent
        • POSTSQ_GetAgents
        • POSTSQ_SetAgentInfo
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceSmartQueue

SQ_GetQueues

||View as Markdown|
POST
https://api.voximplant.com/platform_api/SQ_GetQueues
POST
/platform_api/SQ_GetQueues
$curl -X POST "https://api.voximplant.com/platform_api/SQ_GetQueues?application_id=1" \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "sq_queue_id": 1611,
5 "sq_queue_name": "First test queue",
6 "created": "2022-10-10 11:46:52",
7 "modified": "2023-07-19 08:17:35",
8 "call_max_waiting_time": 120,
9 "call_max_waiting_time_in_seconds": 7200,
10 "im_max_waiting_time": 120,
11 "im_max_waiting_time_in_seconds": 7200,
12 "call_max_queue_size": 1000,
13 "im_max_queue_size": 1000,
14 "agentcount": 2,
15 "CALL": {
16 "task_selection": "MAX_WAITING_TIME",
17 "agent_selection": "MOST_QUALIFIED",
18 "max_waiting_time": 120,
19 "max_queue_size": 1000,
20 "max_waiting_time_in_seconds": 7200
21 },
22 "IM": {
23 "task_selection": "MAX_WAITING_TIME",
24 "agent_selection": "MOST_QUALIFIED",
25 "max_waiting_time": 120,
26 "max_queue_size": 1000,
27 "max_waiting_time_in_seconds": 7200
28 },
29 "call_agent_selection": "MOST_QUALIFIED",
30 "priority": 1,
31 "im_task_selection": "MAX_WAITING_TIME",
32 "im_agent_selection": "MOST_QUALIFIED",
33 "call_task_selection": "MAX_WAITING_TIME"
34 },
35 {
36 "sq_queue_id": 7475,
37 "sq_queue_name": "Fourth_queue",
38 "description": "",
39 "created": "2025-04-10 05:53:50",
40 "modified": "2025-04-10 05:53:50",
41 "call_max_waiting_time": 1,
42 "call_max_waiting_time_in_seconds": 60,
43 "im_max_waiting_time": 120,
44 "im_max_waiting_time_in_seconds": 7200,
45 "call_max_queue_size": 1000,
46 "im_max_queue_size": 1000,
47 "agentcount": 0,
48 "CALL": {
49 "task_selection": "MAX_WAITING_TIME",
50 "agent_selection": "MOST_QUALIFIED",
51 "max_waiting_time": 1,
52 "max_queue_size": 1000,
53 "max_waiting_time_in_seconds": 60
54 },
55 "IM": {
56 "task_selection": "MAX_WAITING_TIME",
57 "agent_selection": "MOST_QUALIFIED",
58 "max_waiting_time": 120,
59 "max_queue_size": 1000,
60 "max_waiting_time_in_seconds": 7200
61 },
62 "call_agent_selection": "MOST_QUALIFIED",
63 "priority": 1,
64 "im_task_selection": "MAX_WAITING_TIME",
65 "im_agent_selection": "MOST_QUALIFIED",
66 "call_task_selection": "MAX_WAITING_TIME"
67 },
68 {
69 "sq_queue_id": 1617,
70 "sq_queue_name": "Third queue",
71 "created": "2022-10-17 10:09:36",
72 "modified": "2022-10-17 10:09:36",
73 "call_max_waiting_time": 120,
74 "call_max_waiting_time_in_seconds": 7200,
75 "im_max_waiting_time": 120,
76 "im_max_waiting_time_in_seconds": 7200,
77 "call_max_queue_size": 1000,
78 "im_max_queue_size": 1000,
79 "agentcount": 0,
80 "CALL": {
81 "task_selection": "MAX_WAITING_TIME",
82 "agent_selection": "MOST_QUALIFIED",
83 "max_waiting_time": 120,
84 "max_queue_size": 1000,
85 "max_waiting_time_in_seconds": 7200
86 },
87 "IM": {
88 "task_selection": "MAX_WAITING_TIME",
89 "agent_selection": "MOST_QUALIFIED",
90 "max_waiting_time": 120,
91 "max_queue_size": 1000,
92 "max_waiting_time_in_seconds": 7200
93 },
94 "call_agent_selection": "MOST_QUALIFIED",
95 "priority": 1,
96 "im_task_selection": "MAX_WAITING_TIME",
97 "im_agent_selection": "MOST_QUALIFIED",
98 "call_task_selection": "MAX_WAITING_TIME"
99 }
100 ],
101 "total_count": 3,
102 "count": 3
103}

Gets the queue(s).

Example request: Get all the queues.

Was this page helpful?
Previous

SQ_DelQueue

Next

SQ_AddSkill

Built with

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

application_idintegerRequired
Application ID to search by
application_namestringOptional

Application name to search by. Can be used instead of application_id

sq_queue_idlist of integersOptional

List of SmartQueue IDs separated by semicolons (;)

sq_queue_namelist of stringsOptional

List of SmartQueue names separated by semicolons (;). Can be used instead of sq_queue_id

sq_queue_name_templatestringOptional
Substring of the SmartQueue name to filter
user_idintegerOptional
ID of the user that is bound to the queue
user_namestringOptional

Name of the user that is bound to the queue. Can be used instead of user_id

excluded_user_idintegerOptional
ID of the user that is not bound to the queue
excluded_user_namestringOptional

Name of the user that is not bound to the queue. Can be used instead of excluded_user_id

countintegerOptionalDefaults to 20
Number of items to show in the output
offsetintegerOptionalDefaults to 0
Number of items to skip in the output
with_agentcountbooleanOptionalDefaults to false
Whether to include the number of agents bound to the queue

Response

Successful response
resultlist of objects

The found queue(s)

total_countinteger
countinteger

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.